module Trunk
  module Serializers
    class Crypto
      def initialize(private_key)
        @private_key = private_key
      end

      def serialize(plain_text)
        @private_key.public_encrypt(plain_text)
      end

      def deserialize(cipher_text)
        @private_key.private_decrypt(cipher_text)
      end
    end
  end
end
